Allow Flash Player to play our games

by | Oct 1, 2015 | News |

The major web browsers have increased security settings which causes a warning and blocking of plugins, including Flash and Unity when the plugin becomes outdated. If you block Flash on LilGames.com, most of the games here will not work. We recommend that you click¬†“Allow and Remember” when prompted to do so, to continue with uninterrupted gaming on our site (and other web game sites).

It’s also always a good idea to update Flash Player to the latest version, available here:¬†https://get3.adobe.com/flashplayer/update/plugin/

Thank you for playing!